Hermos API

Update Webhook Endpoint

PATCH/webhook_endpoints/{id}

Authorization

__Host-hms_session<token>

In: cookie

Path Parameters

id*string

Opaque webhook endpoint ID.

Match^whk_[0-7][0-9abcdefghjkmnpqrstvwxyz]{25}$(?![\s\S])

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/webhook_endpoints/string" \  -H "Content-Type: application/json" \  -d '{}'
{  "id": "string",  "object": "webhook_endpoint",  "url": "string",  "enabled_events": [    "string"  ],  "status": "enabled",  "health": "healthy",  "failing_since": "2019-08-24T14:15:22Z",  "api_version": "string",  "include_historical": true,  "created_at": "2019-08-24T14:15:22Z",  "secret_rotation": {    "previous_expires_at": "2019-08-24T14:15:22Z"  }}